<?php
/**
 * @package Crimson Lite
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if(has_post_thumbnail()): ?>
		<div class="entry-thumbnail"><?php the_post_thumbnail(); ?></div>
		<div class="entry-text">
	<?php endif; ?>
	<header class="entry-header">
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php crimson_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content">
		<?php
			global $themename;
			$home_settings = get_option($themename.'_home_settings');
			if($home_settings['show_excerpts'])
				the_excerpt(); 
			else{
				the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'crimson' ) );
				wp_link_pages( array(
					'before' => '<div class="page-links">' . __( 'Pages:', 'crimson' ),
					'after'  => '</div>',
				) );
			}
		?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<footer class="entry-meta">
		<?php if ( 'post' == get_post_type() && !is_archive() && !is_home() && !is_search() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'crimson' ) );
				if ( $categories_list && crimson_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( __( 'Posted in %1$s', 'crimson' ), $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>

			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'crimson' ) );
				if ( $tags_list ) :
			?>
			<span class="tags-links">
				<?php printf( __( 'Tagged %1$s', 'crimson' ), $tags_list ); ?>
			</span>
			<?php endif; // End if $tags_list ?>

			<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
			<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'crimson' ), __( '1 Comment', 'crimson' ), __( '% Comments', 'crimson' ) ); ?></span>
			<?php endif; ?>

			<?php edit_post_link( __( 'Edit', 'crimson' ), '<span class="edit-link">', '</span>' ); ?>
		<?php endif; // End if 'post' == get_post_type() ?>
	</footer><!-- .entry-meta -->
	<?php if(has_post_thumbnail()): ?>
		</div>
	<?php endif; ?>
</article><!-- #post-## -->
